import request from '@/utils/request'

// 创建检查项目
export function createItem(data) {
  return request({
    url: '/system/item/create',
    method: 'post',
    data: data
  })
}

// 更新检查项目
export function updateItem(data) {
  return request({
    url: '/system/item/update',
    method: 'put',
    data: data
  })
}

// 删除检查项目
export function deleteItem(id) {
  return request({
    url: '/system/item/delete?id=' + id,
    method: 'delete'
  })
}

// 获得检查项目
export function getItem(id) {
  return request({
    url: '/system/item/get?id=' + id,
    method: 'get'
  })
}

// 获得检查项目分页
export function getItemPage(query) {
  return request({
    url: '/system/item/page',
    method: 'get',
    params: query
  })
}

// 导出检查项目 Excel
export function exportItemExcel(query) {
  return request({
    url: '/system/item/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
